namespace :angular do
    desc "Builds angular project and moves files into the correct places for deployment."
    task build: :environment do
        # Empty the public folder
        FileUtils.rm_rf("public/.", secure: true)

        # Build the project
        Dir.chdir('frontend') do
            `npm run build`
        end

        # Copy the dist to public
        FileUtils.copy_entry "frontend/dist/frontend", "public/"

        # Move the index out of public
        FileUtils.mv "public/index.html", "app/views/skirental_web_frontend/reservations/show.html.erb"

        # Copy iframe resizing utils to public
        FileUtils.cp "app/assets/javascripts/skirental_web_frontend/iframeResizer.contentWindow.min.js", "public/"
        FileUtils.cp "app/assets/javascripts/skirental_web_frontend/skipframe.js", "public/"

        # Build the cookie consent files
        Rake::Task["app:cookie_consent:build"].invoke
    end
end
